Bug 171557 - crash when using --help or connecting to directory
crash when using --help or connecting to directory
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: diradmin (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE5Target
  Show dependency treegraph
 
Reported: 2005-10-23 02:18 EDT by Boris Goldowsky
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 10:02:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Goldowsky 2005-10-23 02:18:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
Program crashes when attempting to connect to a local LDAP directory.  But it also crashes when I just run directory_administrator --help so perhaps that's the first bug to report.



Version-Release number of selected component (if applicable):
diradmin-1.7.1-1.fc4

How reproducible:
Always

Steps to Reproduce:
1.directory_administrator --help


Actual Results:  Usage: directory_administrator [OPTION...]

GNOME options
  --disable-sound             Disable sound server usage
  --enable-sound              Enable sound server usage
*** buffer overflow detected ***: directory_administrator terminated
======= Backtrace: =========
/lib64/libc.so.6(__chk_fail+0x2f)[0x34c91dcb6f]
/lib64/libc.so.6[0x34c91dc149]
/lib64/libc.so.6(_IO_default_xsputn+0x86)[0x34c9167b26]
/lib64/libc.so.6(_IO_vfprintf+0xd5b)[0x34c91419fb]
/lib64/libc.so.6(__vsprintf_chk+0xa9)[0x34c91dc1f9]
/lib64/libc.so.6(__sprintf_chk+0x80)[0x34c91dc130]
/usr/lib64/libgnomesupport.so.0[0x34caa03be9]
/usr/lib64/libgnomesupport.so.0[0x34caa03cd8]
/usr/lib64/libgnomesupport.so.0[0x34caa03e80]
/usr/lib64/libgnomesupport.so.0(poptGetNextOpt+0x58)[0x34caa02da3]
/usr/lib64/libgnome.so.32(gnomelib_parse_args+0x58)[0x34ca8119ce]
/usr/lib64/libgnomeui.so.32(gnome_init_with_popt_table+0xc9)[0x34920785da]
/usr/lib64/libgnomeui.so.32(gnome_init+0x23)[0x3492078646]
directory_administrator(main+0x18)[0x40eb98]
/lib64/libc.so.6(__libc_start_main+0xef)[0x34c911c3cf]
directory_administrator[0x40eae9]
======= Memory map: ========
00400000-00458000 r-xp 00000000 08:03 4913510                            /usr/bin/directory_administrator
00557000-0055b000 rw-p 00057000 08:03 4913510                            /usr/bin/directory_administrator
0055b000-0059d000 rw-p 0055b000 00:00 0                                  [heap]
3491600000-34916da000 r-xp 00000000 08:03 4904489                        /usr/X11R6/lib64/libX11.so.6.2
34916da000-34917d9000 ---p 000da000 08:03 4904489                        /usr/X11R6/lib64/libX11.so.6.2
34917d9000-34917df000 rw-p 000d9000 08:03 4904489                        /usr/X11R6/lib64/libX11.so.6.2
3491800000-3491810000 r-xp 00000000 08:03 4904631                        /usr/X11R6/lib64/libXext.so.6.4
3491810000-3491910000 ---p 00010000 08:03 4904631                        /usr/X11R6/lib64/libXext.so.6.4
3491910000-3491911000 rw-p 00010000 08:03 4904631                        /usr/X11R6/lib64/libXext.so.6.4
3491a00000-3491a17000 r-xp 00000000 08:03 4904544                        /usr/X11R6/lib64/libICE.so.6.3
3491a17000-3491b16000 ---p 00017000 08:03 4904544                        /usr/X11R6/lib64/libICE.so.6.3
3491b16000-3491b18000 rw-p 00016000 08:03 4904544                        /usr/X11R6/lib64/libICE.so.6.3
3491b18000-3491b1b000 rw-p 3491b18000 00:00 0
3491c00000-3491c0a000 r-xp 00000000 08:03 4909828                        /usr/X11R6/lib64/libSM.so.6.0
3491c0a000-3491d09000 ---p 0000a000 08:03 4909828                        /usr/X11R6/lib64/libSM.so.6.0
3491d09000-3491d0a000 rw-p 00009000 08:03 4909828                        /usr/X11R6/lib64/libSM.so.6.0
3491e00000-3491e39000 r-xp 00000000 08:03 4909940                        /usr/lib64/libgdk-1.2.so.0.9.1
3491e39000-3491f38000 ---p 00039000 08:03 4909940                        /usr/lib64/libgdk-1.2.so.0.9.1
3491f38000-3491f3c000 rw-p 00038000 08:03 4909940                        /usr/lib64/libgdk-1.2.so.0.9.1
3492000000-34920dc000 r-xp 00000000 08:03 4911132                        /usr/lib64/libgnomeui.so.32.14.1
34920dc000-34921dc000 ---p 000dc000 08:03 4911132                        /usr/lib64/libgnomeui.so.32.14.1
34921dc000-34921ea000 rw-p 000dc000 08:03 4911132                        /usr/lib64/libgnomeui.so.32.14.1
34921ea000-34921eb000 rw-p 34921ea000 00:00 0
3492200000-349233f000 r-xp 00000000 08:03 4910211                        /usr/lib64/libgtk-1.2.so.0.9.1
349233f000-349243f000 ---p 0013f000 08:03 4910211                        /usr/lib64/libgtk-1.2.so.0.9.1
349243f000-3492459000 rw-p 0013f000 08:03 4910211                        /usr/lib64/libgtk-1.2.so.0.9.1
3492459000-349245a000 rw-p 3492459000 00:00 0
3492500000-3492525000 r-xp 00000000 08:03 4911108                        /usr/lib64/libgdk_imlib.so.1.9.13
3492525000-3492624000 ---p 00025000 08:03 4911108                        /usr/lib64/libgdk_imlib.so.1.9.13
3492624000-3492626000 rw-p 00024000 08:03 4911108                        /usr/l  --espeaker=HOSTNAME:PORT    Aborted


Additional info:
Comment 1 Matthias Saou 2005-10-27 13:02:12 EDT
These seem like two unrelated issues, and I can at least reproduce the --help
crash. I'll report the problem on the diradmin mailing-list and see what gives.
Comment 2 Boris Goldowsky 2006-05-15 20:50:25 EDT
Still having both problems in FC5 so I updated the version.
This program is completely unusable for me.
Comment 3 Matthias Saou 2006-05-16 05:18:07 EDT
Well, as upstream is unresponsive (there is only spam on the mailing-list...),
the only "solution" I can see is getting this package removed from Extras, as I
unfortunately don't have the time or knowledge to fix these issues, nor port it
to gtk2 (which is a growing problem too).
Comment 4 Matthias Saou 2006-06-30 10:02:51 EDT
Just a quick update to point out that... I'm about to get this package out of
the way for FC-6 : Some of the gtk1/gnome1 libraries it requires are no longer
provided, and upstream development seems sompletely stopped.

I can only suggest to look at other alternatives, like some of the many
web-based LDAP managers out there. Sorry :-(

Note You need to log in before you can comment on or make changes to this bug.